{ rustPlatform,
  lib,
  cairo,
  geos,
  clipper,
  clang,
  pkg-config,
  cmake,
  openssl,
  llvmPackages,
  ... }:

rustPlatform.buildRustPackage {

  pname = "polygon-art";
  version = "1.0.2";
  src = ./.;
  #cargoHash = lib.fakeHash;
  cargoHash = "sha256-MCFezfCu/PktFdB+XUnagtz9g65C90F4qa3y4Ser/nQ=";
  verifyCargoDeps = true;

  # Needed so bindgen can find libclang.so
  LIBCLANG_PATH = "${llvmPackages.libclang.lib}/lib";

  buildInputs = [ cairo geos clipper openssl ];

  nativeBuildInputs =
    [ cmake llvmPackages.clang llvmPackages.libclang pkg-config ];

  meta = with lib; {
    description = "Framework with examples to generate plotter friendly SVGs";
    homepage = "https://git.ingolf-wagner.de/palo/polygon-art.git";
    license = licenses.gpl3Plus;
    maintainers = [ maintainers.mrVanDalo ];
  };
}

